# getSlotLeaders

Returns the slot leaders for a given slot range.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `start_slot` string *<mark style="color:red;">Required</mark>.* The start slot encoded as u64, 64-bit unsigned integer.
* `limit` string. The limit encoded as u64, 64-bit unsigned integer.

## Returns

`result` The slot leaders for the specified slot range.

```bash
// Result
{
	"jsonrpc": "2.0",
	"id": 1,
	"method": "getSlotLeaders",
	"params": [
		320163037,
		10
	]
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getSlotLeaders", "params":[320163037, 10]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://mainnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getSlotLeaders", "params":[320163037, 10]}'

```

{% endtab %}
{% endtabs %}
